Name:           polkit-kde
Version:        0.95.1
Release:        4%{?dist}
Summary:        PolicyKit integration for KDE Desktop

Group:          Applications/System
License:        GPLv2+
URL:            http://www.kde.org/

Source0:        polkit-kde-1-0.95.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches
Patch50: polkit-kde-1-0.95.1-ImplicitDSOLinking.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  polkit-qt-devel >= 0.95
BuildRequires:  cmake
BuildRequires:  gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

Provides: PolicyKit-authentication-agent
Provides: polkit-kde-1 = %{version}-%{release}

Obsoletes: PolicyKit-kde < 4.5

%description
Provides Policy Kit Authentication Agent that nicely fits to KDE.

%prep
%setup -q -n polkit-kde-1-%{version}

%patch50 -p1 -b .ImplicitDSOLinking


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags}  -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install --delete-original \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
  %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-kde-authentication-agent-1.desktop

%find_lang polkit-kde-authentication-agent-1

%clean
rm -rf %{buildroot}


%files -f polkit-kde-authentication-agent-1.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/kde4/polkit-kde-authentication-agent-1
%{_sysconfdir}/xdg/autostart/*


%changelog
* Sun Feb 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.95.1-4
- FTBFS polkit-kde-0.95.1-3.fc13: ImplicitDSOLinking (#564809)

* Wed Jan 06 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-3
- Again provides PolicyKit-authentication-agent

* Tue Jan 05 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-2
- Added Gettext BR

* Tue Jan 05 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-1
- Update to official release
- Provides polkit-kde-1

* Mon Nov 30 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.95-0.2.20091125svn
- Adds desktop file
- Adds obsoletes

* Wed Nov 25 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.95-0.1.20091125svn
- Initial package
